@ECHO OFF
SET inputX=%~x1
SET inputN=%~n1

SET PATH=%PATH%;%CD%\..\mingw64\bin

IF "%inputX%" == ".c" goto standard
echo Unknown File Type "%inputX%"!
:ERROR
PAUSE
EXIT

:standard
GCC %inputN%.c -I %MINGW%\include -Wall -Wno-missing-braces -Wno-unused-variable -g -O2 -o %inputN%.exe
IF %errorlevel% NEQ 0 GOTO ERROR

SET /p x=Open Program? 
IF "%x%" == "y" GOTO RUN
IF "%x%" == "Y" GOTO RUN
EXIT

:RUN
%inputN%.exe ~HIGHDPIAWARE
IF %errorlevel% NEQ 0 GOTO ERROR
PAUSE
EXIT

