@ECHO OFF
CLS
SET inputN=%~n1
SET inputX=%~x1
SET inputP=%~p1
SET fpath=%~dp0
SET PATH=%PATH%;.\..\..\..\CC65\bin


IF "%inputX%"==".c" (
	TITLE CC65 - Compile %inputN%.c
	CC65 -t none -Osir --cpu 65C02 -I Include -o Temp\%inputN%.a65 %inputN%.c
	REM CC65 -t none -Osir --cpu 65C02 -I Include -o Temp\%inputN%.a65 %inputN%.c
	IF %errorlevel% NEQ 0 GOTO ERROR
	
	TITLE CA65 - Assemble %inputN%.a65
	CA65 --cpu 65C02 -l Output\%inputN%.lst -o Temp\%inputN%.o Temp\%inputN%.a65
	IF %errorlevel% NEQ 0 GOTO ERROR
	
	TITLE LD65 - Link everything together
	LD65 -C Config\SBC.cfg -m Output\%inputN%.map -v -o ..\EMU.bin Temp\%inputN%.o Include\FixedMath.lib Include\stdio\read.o Include\stdio\write.o Include\conio\cputc.o Config\SBC.lib
	REM LD65 -C Config\SBC.cfg -m %inputN%.map -v -o %inputN%.bin Config\exehdr.o Config\Interrupt.o Temp\%inputN%.o -L %fpath%Include Config\SBC.lib
	IF %errorlevel% NEQ 0 GOTO ERROR
)

SET /p x=[O]pen Folder?
IF "%x%" == "o" GOTO OPEN
IF "%x%" == "O" GOTO OPEN
EXIT

:OPEN
%SystemRoot%\explorer.exe "%inputP%"
EXIT

:ERROR
PAUSE
EXIT